<?php
namespace Incoviba\Model\Venta;

use DateTimeInterface;
use Incoviba\Common\Ideal;

class Escritura extends Ideal\Model
{
    public Pago $pago;
    public DateTimeInterface $fecha;

    public function jsonSerialize(): mixed
    {
        return array_merge(parent::jsonSerialize(), [
            'pago' => $this->pago,
            'fecha' => $this->fecha->format('Y-m-d')
        ]);
    }
}
